package org.mentalog.timestamper;

/**
 * MentaLog's default timestamper implementation.
 * 
 * It just calls System.currentTimeMillis()
 * 
 * Refer to: http://mentalog.soliveirajr.com for documentations, recipes and more.
 * 
 * @author Sergio Oliveira Jr. - sergio.oliveira.jr@gmail.com
 */
public class MillisTimestamper implements Timestamper {
	
	MillisTimestamper() { }
	
	@Override
	public Precision getPrecision() {
		return Timestamper.Precision.MILLIS;
	}
	
	@Override
	public long getTimestamp() {
		return System.currentTimeMillis();
	}
}